Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.config.notification
Class NotificationMapList

    java.lang.Object
      org.jboss.jmx.adaptor.snmp.config.notification.NotificationMapList

All Implemented Interfaces:
  Serializable

public class NotificationMapList
extends Object
implements Serializable

Class NotificationMapList.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`NotificationMapList()`

Method Summary
`void` | `addMapping(int index, Mapping vMapping)` Method addMapping
`void` | `addMapping(Mapping vMapping)` Method addMapping
`void` | `clearMapping()` Method clearMapping
`Enumeration` | `enumerateMapping()` Method enumerateMapping
`Mapping[]` | `getMapping()` Method getMapping
`Mapping` | `getMapping(int index)` Method getMapping
`int` | `getMappingCount()` Method getMappingCount
`boolean` | `isValid()` Method isValid
`void` | `marshal(ContentHandler handler)` Method marshal
`void` | `marshal(Writer out)` Method marshal
`boolean` | `removeMapping(Mapping vMapping)` Method removeMapping
`void` | `setMapping(int index, Mapping vMapping)` Method setMapping
`void` | `setMapping(Mapping[] mappingArray)` Method setMapping
`static NotificationMapList` | `unmarshal(Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationMapList

    public NotificationMapList()

Method Detail

### addMapping

    public void addMapping(Mapping vMapping)
                    throws IndexOutOfBoundsException

  Method addMapping

  Parameters:
    `vMapping` -
  Throws:
    `IndexOutOfBoundsException`

### addMapping

    public void addMapping(int index,
                           Mapping vMapping)
                    throws IndexOutOfBoundsException

  Method addMapping

  Parameters:
    `index` -
    `vMapping` -
  Throws:
    `IndexOutOfBoundsException`

### clearMapping

    public void clearMapping()

  Method clearMapping

### enumerateMapping

    public Enumeration enumerateMapping()

  Method enumerateMapping

### getMapping

    public Mapping getMapping(int index)
                       throws IndexOutOfBoundsException

  Method getMapping

  Parameters:
    `index` -
  Throws:
    `IndexOutOfBoundsException`

### getMapping

    public Mapping[] getMapping()

  Method getMapping

### getMappingCount

    public int getMappingCount()

  Method getMappingCount

### isValid

    public boolean isValid()

  Method isValid

### marshal

    public void marshal(Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(ContentHandler handler)
                 throws IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### removeMapping

    public boolean removeMapping(Mapping vMapping)

  Method removeMapping

  Parameters:
    `vMapping` -

### setMapping

    public void setMapping(int index,
                           Mapping vMapping)
                    throws IndexOutOfBoundsException

  Method setMapping

  Parameters:
    `index` -
    `vMapping` -
  Throws:
    `IndexOutOfBoundsException`

### setMapping

    public void setMapping(Mapping[] mappingArray)

  Method setMapping

  Parameters:
    `mappingArray` -

### unmarshal

    public static NotificationMapList unmarshal(Reader reader)
                                         throws org.exolab.castor.xml.MarshalException,
                                                org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.